/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 09-12-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/utilitybend/pen/MWvvZZq */
/* info     -> box5container */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIABLES */

@font-face {
  font-family: 'Oxanium';
  src: url('fonts/Oxanium-VariableFont_wght.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Anodina-Light';
  src: url('fonts/Anodina-Light.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: rgb(255,255,255,.6);  /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 3.6rem;                 /* counter size - def 4rem */
    /*--count-pos-top:1.4rem;             /* counter position top - def 1rem */
    /*--count-pos-right:1rem;             /* counter position right - def 1.2rem */
    --count-pos-left: 2rem;       /* counter position left - NOT IN USE */
    --count-pos-bottom: .8rem;     /* counter position bottom - NOT IN USE */ 
    --count-width: 1px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 07-12-22 */
/* RESET COUNTER -> SEE design.css */
/* BOX4CONTAINER */


html, body {
  font-family: 'Oxanium';
  overscroll-behavior: contain;
}

/* Show/Hide Warning if no container Queries Support */
@supports (container-type: inline-size) {
	.info {
		display: none;
	}
}
.info, .warning {
  text-align: center;
	padding: 1em;
	border: 1px solid #123456;
	background: rgba(205 230 255 / 0.8);
}
.warning {
	background: rgba(255 255 225 / 0.9);
}
.info p, .warning p {
	margin: 0;
	padding: 0;
	color: #123456;
}

/* Non-essential .animalcard styles */
.animalcard {
	align-content: start;
	border: 1px solid #ccc;
	background: rgba(0, 0, 0, 0.05);
}
.animalcard__image {
	grid-area: image;
	font-size: 0.5em;
	font-style: italic;
	text-align: center;
}
.animalcard__description {
	grid-area: description;
	font-size: 0.9em;
	text-align: center;
}
.animalcard > * > :first-child {
	margin-top: 0;
}
.animalcard > * > :last-child {
	margin-bottom: 0;
}

/** Container Queries in Action: If enough space is available, place image next to description **/
.animalcard-wrapper {
	container-type: inline-size;
}
.animalcard { /* SMALL LAYOUT: Image stacked on top of Description */
	display: grid;
	grid-template: "image" "description" / 1fr;
	gap: 1em;
	padding: 1em;
}
@container (min-width: 480px) { /* MEDIUM LAYOUT: Image next to Description (1fr each) */
	.animalcard {
		gap: 2em;
		padding: 2em;
		grid-template: "image description" / 1fr 1fr;
	}

	.animalcard__description {
		text-align: left;
	}
}
@container (min-width: 1120px) { /* LARGE LAYOUT: Large Image next to Description */
	.animalcard {
		grid-template-columns: 2fr 1fr;
	}
}

/* Set of animalcards: Place nested elements next to eachother */
.animalcards {
	display: grid;
	gap: 1em;
	grid-template-columns: 1fr;
}

@media (min-width: 50em) {
	.animalcards {
		grid-template-columns: repeat(2, minmax(10em, 1fr))
	}
}

@media (min-width: 80em) {
	.animalcards {
		grid-template-columns: repeat(auto-fit, minmax(10em, 1fr))
	}
}

/* Inset in content */
.inset {
	width: 100%;
	max-width: 55rem;
	margin: 1em 1em 1em 0;
}
@media(min-width: 55rem) {
	.inset {
		float: left;
	}
}





/* Show/Hide Warning if no container Queries Support */
@supports (container-type: inline-size) {
	.info {
		display: none;
	}
}
.info, .warning {
	padding: 1em;
	border: 1px solid #123456;
	background: rgba(205 230 255 / 0.8);
}
.warning {
	background: rgba(255 255 225 / 0.9);
}
.info p, .warning p {
	margin: 0;
	padding: 0;
	color: #123456;
}

/* NON ESSENTIAL STYLES BELOW */
html,
body {
	margin: 0;
	padding: 0;
	background: #fff;
}

body {
	font-size: clamp(1.1em, calc(0.5em + 1vw), 2.5em);
	line-height: 1.42;
	font-family: 'Oxanium', sans-serif;
}

main {
	font-weight: 300;
	width: 90vw;
	max-width: 80rem;
	margin: 0 auto;
	padding: 4em 0;
}

main > * {
	margin: 0;
}
main > * + * {
	margin-top: 1em;
}

main img {
	width: 100%;
	height: auto;
}

.full-bleed {
	--source: "https://brm.us/full-bleed";
	width: 100vw;
	margin-left: 50%;
	transform: translateX(-50%);
}

.text-center {
	text-align: center;
}



/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.no-class::before { 
	position:absolute;
  display:flex;
	/*top:var(--count-pos-top);*/
  /*right:var(--count-pos-right);*/
  bottom:var(--count-pos-bottom);
  left:var(--count-pos-left);
	justify-content:center;
  align-items:center;
  counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	/*z-index:999;*/
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */